package net.minecraft.client.gui.chat;

import net.minecraft.network.chat.Component;
import net.minecraft.network.chat.ChatType;
import net.minecraft.client.Minecraft;

public class StandardChatListener implements ChatListener {
    private final Minecraft minecraft;
    
    public StandardChatListener(final Minecraft dbn) {
        this.minecraft = dbn;
    }
    
    @Override
    public void handle(final ChatType ld, final Component lf) {
        this.minecraft.gui.getChat().addMessage(lf);
    }
}
